## stremio-gtk 1.0.0~beta.13+ds

=== vendor/rust-i18n/Makefile ===
release\:macro:
	cd crates/macro && cargo release --no-dev-version --skip-tag --skip-push
release\:support:
	cd crates/support && cargo release --no-dev-version --skip-tag --skip-push
release\:extract:
	cd crates/extract && cargo release --no-dev-version --skip-tag --skip-push
release\:cli:
	cd crates/cli && cargo release --no-dev-version --skip-tag --skip-push
release:
	cargo release
test:
	cargo test -p rust-i18n test_set_locale_on_initialize
	cargo test --workspace
	cargo test --manifest-path examples/app-workspace/Cargo.toml --workspace
	cargo test --manifest-path examples/share-in-workspace/Cargo.toml --workspace

=== debian/changelog ===
stremio-gtk (1.0.0~beta.13+ds-1) experimental; urgency=medium

  * New upstream version 1.0.0-beta.13

 -- Juan Manuel Méndez Rey <vejeta@gmail.com>  Wed, 14 Jan 2026 21:08:03 +0100

stremio-gtk (1.0.0~beta.12+ds-1) experimental; urgency=low

  * Initial release (Closes: #1119815)

 -- Juan Manuel Méndez Rey <vejeta@gmail.com>  Wed, 14 Jan 2026 14:17:20 +0100

=== debian/control ===
Source: stremio-gtk
Section: video
Priority: optional
Maintainer: Juan Manuel Méndez Rey <vejeta@gmail.com>
Build-Depends: debhelper-compat (= 13),
               quilt,
               cargo,
               rustc (>= 1.70),
               libgtk-3-dev,
               libgtk-4-dev (>= 4.18),
               libadwaita-1-dev (>= 1.7),
               libwebkitgtk-6.0-dev (>= 2.48),
               libmpv-dev,
               libepoxy-dev,
               libcef-dev,
               libssl-dev,
               gettext,
               nodejs,
               pkgconf
Standards-Version: 4.7.3
Homepage: https://www.stremio.com
Vcs-Browser: https://salsa.debian.org/debian/stremio-gtk
Vcs-Git: https://salsa.debian.org/debian/stremio-gtk.git

Package: stremio-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         nodejs,
         mpv,
         libcef138,
         cef-resources,
         stremio-server
Description: Modern media center (GTK4 client)
 Stremio is a modern media center for online video content.
 Features local and streaming content, subtitle management,
 and an extensible addon system.
 .
 This is the GTK4/libadwaita version with enhanced Wayland support.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CEF_PATH = /usr/lib/x86_64-linux-gnu
# Add RUNPATH so GPU subprocess finds CEF's ANGLE libraries before Mesa
export RUSTFLAGS = -C link-arg=-Wl,-rpath,/usr/lib/x86_64-linux-gnu/cef
# Generate debug symbols for dbgsym package
export CARGO_PROFILE_RELEASE_DEBUG = true

%:
	dh $@

override_dh_auto_build:
	cargo build --release --features offline-build

# Install binary with stremio-gtk name (dh_install handles the rest via .install file)
override_dh_auto_install:
	install -D -m755 target/release/stremio-linux-shell $(CURDIR)/debian/stremio-gtk/usr/libexec/stremio-gtk/stremio-gtk-bin

override_dh_auto_test:

override_dh_auto_clean:
	rm -rf target

# Preserve *.orig files needed by cargo checksums
# Note: Do NOT call dh_quilt_unpatch explicitly - it runs at wrong time
# in dpkg-buildpackage sequence (after patches applied, before build).
# debhelper handles quilt automatically via dpkg-source --after-build.
override_dh_clean:
	dh_clean -X.orig

=== debian/watch ===
# Watch file format version 5 (requires devscripts >= 2.25.16)
# Note: mentors.debian.net may show errors due to running older devscripts
# (bookworm stable has 2.23.4). This is expected and the watch file works
# correctly with modern uscan. Test with: uscan --verbose --no-download
Version: 5
Source: https://github.com/Stremio/stremio-linux-shell/tags
Matching-Pattern: .*/v?@ANY_VERSION@\.tar\.gz
Uversionmangle: s/-/~/g
Dversionmangle: s/\+ds\d*$//
Filenamemangle: s/.+\/v?(@ANY_VERSION@)\.tar\.gz/stremio-gtk-$1.tar.gz/
Repacksuffix: +ds
